__gnu_pbds::detail::synth_access_traits< Type_Traits, Set, _ATraits > Struct Template Reference

Inherits _ATraits.

## Public Types

typedef _ATraits | base_type
typedef base_type::const_iterator | const_iterator
typedef type_traits::const_reference | const_reference
typedef type_traits::key_const_reference | key_const_reference
typedef Type_Traits | type_traits

## Public Member Functions

| synth_access_traits (const base_type &)
bool | cmp_keys (key_const_reference, key_const_reference) const
bool | cmp_prefixes (const_iterator, const_iterator, const_iterator, const_iterator, bool compare_after=false) const
bool | equal_keys (key_const_reference, key_const_reference) const
bool | equal_prefixes (const_iterator, const_iterator, const_iterator, const_iterator, bool compare_after=true) const

## Static Public Member Functions

static key_const_reference | extract_key (const_reference)

## Detailed Description

### template<typename Type_Traits, bool Set, typename _ATraits>
struct __gnu_pbds::detail::synth_access_traits< Type_Traits, Set, _ATraits >

Synthetic element access traits.

Definition at line 59 of file synth_access_traits.hpp.

The documentation for this struct was generated from the following file:

- synth_access_traits.hpp